## org.apache.mahout.classifier.bayes.exceptions
Class InvalidDatastoreException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.mahout.classifier.bayes.exceptions.InvalidDatastoreException

All Implemented Interfaces:
  java.io.Serializable

    public final class InvalidDatastoreException

extends java.lang.Exception

Exception thrown when illegal access is done on the datastore or when the backend storage goes down. Check inner exception for detail

See Also:
  Serialized Form

Constructor Summary
`InvalidDatastoreException()`
`InvalidDatastoreException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDatastoreException

    public InvalidDatastoreException()

### InvalidDatastoreException

    public InvalidDatastoreException(java.lang.String message)

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.